%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-gdata
Version:        2.0.9
Release:        2%{?dist}
Summary:        A Python module for accessing online Google services

Group:          Development/Languages
License:        ASL 2.0
URL:            http://code.google.com/p/gdata-python-client/
Source0:        http://gdata-python-client.googlecode.com/files/gdata-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       python >= 2.5

%description
This is a Python module for accessing online Google services,such as:
- Blogger
- Calendar
- Picasa Web Albums
- Spreadsheets
- YouTube
- Notebook

%prep
%setup -q -n gdata-%{version}
sed -i 's|^#!/usr/local/bin/python|#!/usr/bin/python|' src/gdata/Crypto/Util/RFC1751.py src/gdata/Crypto/Util/RFC1751.py
sed -i "s|\r||g" samples/oauth/oauth_on_appengine/main_rsa.py samples/oauth/oauth_on_appengine/main_hmac.py

%build
%{__python} setup.py build

chmod -x samples/*/*.py
chmod -x samples/*/*/*.py
chmod -x samples/oauth/oauth_on_appengine/*.*
chmod -x samples/oauth/oauth_on_appengine/*/*.*


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
chmod 755 %{buildroot}%{python_sitelib}/gdata/*.py
chmod 755 %{buildroot}%{python_sitelib}/gdata/{docs/data,docs/__init__,docs/service,docs/client,books/__init__,books/data,books/service,health/service,health/__init__,notebook/__init__,notebook/data,webmastertools/__init__,webmastertools/data,webmastertools/service,youtube/__init__,youtube/data,youtube/service,dublincore/data,dublincore/__init__,analytics/client,analytics/__init__,analytics/data,analytics/service,base/__init__,base/service,apps/service,apps/emailsettings/service,apps/__init__,apps/adminsettings/__init__,apps/migration/service,apps/groups/service,apps/adminsettings/service,apps/emailsettings/__init__,apps/migration/__init__,spreadsheets/client,spreadsheets/data,spreadsheet/service,spreadsheet/__init__,spreadsheet/text_db,contacts/__init__,contacts/service,contacts/data,contacts/client,acl/__init__,acl/data,maps/data,maps/client,finance/__init__,finance/service,finance/data,calendar/data,calendar_resource/data,calendar/service,calendar/__init__,calendar_resource/client,opensearch/data,opensearch/__init__,projecthosting/client,projecthosting/data,blogger/data,blogger/client,blogger/__init__,blogger/service,sites/client,sites/data,alt/__init__,alt/app_engine,geo/data,oauth/rsa,oauth/rsa,media/data,alt/appengine,photos/service,Crypto/Util/RFC1751}.py

chmod 755 %{buildroot}%{python_sitelib}/atom/*.py
 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.txt RELEASE_NOTES.txt samples/
%{python_sitelib}/atom
%{python_sitelib}/gdata
%{python_sitelib}/gdata-%{version}-py*.egg-info


%changelog
* Thu Apr 15 2010 Roshan Kumar Singh <singh.roshan08@gmail.com> - 2.0.9-2
- Update to 2.0.9 with fixed permission issue

* Thu Mar 18 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 2.0.9-1
- Update to 2.0.9

* Sat Oct 10 2009 Bastien Nocera <bnocera@redhat.com> 2.0.3-1
- Update to 2.0.3

* Tue Sep 01 2009 Bastien Nocera <bnocera@redhat.com> 2.0.2-1
- Update to 2.0.2

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 24 2009 Bastien Nocera <bnocera@redhat.com> 2.0.1-1
- Update to 2.0.1

* Tue Jun 30 2009 Bastien Nocera <bnocera@redhat.com> 2.0.0-1
- Update to 2.0.0

* Mon Jun 08 2009 Bastien Nocera <bnocera@redhat.com> 1.3.3-1
- Update to 1.3.3

* Wed Apr 29 2009 Bastien Nocera <bnocera@redhat.com> 1.3.1-2
- Fix deprecation warning (#492641)

* Fri Apr 24 2009 Bastien Nocera <bnocera@redhat.com> 1.3.1-1
- Update to 1.3.1

* Sun Mar 22 2009 - Bastien Nocera <bnocera@redhat.com> - 1.3.0-1
- Update to 1.3.0

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 22 2009 - Bastien Nocera <bnocera@redhat.com> - 1.2.4-1
- Update to 1.2.4

* Thu Dec 04 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.2.3-2
- Rebuild for Python 2.6

* Thu Dec 04 2008 - Bastien Nocera <bnocera@redhat.com> - 1.2.3-1
- Update to 1.2.3

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.2.2-2
- Rebuild for Python 2.6

* Wed Oct 22 2008 - Bastien Nocera <bnocera@redhat.com> - 1.2.2-1
- Update to 1.2.2 (#467563)

* Mon May 12 2008 - Bastien Nocera <bnocera@redhat.com> - 1.0.13-1
- Update to 1.0.13 (#446000)

* Tue Nov 13 2007 - Bastien Nocera <bnocera@redhat.com> - 1.0.9-1
- Update to 1.0.9

* Sun Oct 21 2007 - Bastien Nocera <bnocera@redhat.com> - 1.0.8-3
- Remove CFLAGS from the make part,as there's no native compilation,
  spotted by Parag AN <panemade@gmail.com>

* Tue Oct 16 2007 - Bastien Nocera <bnocera@redhat.com> - 1.0.8-2
- Remove python-elementtree dep,it's builtin to Python 2.5
- Add samples to the docs,for documentation purposes
- Remove unneeded macro

* Fri Oct 12 2007 - Bastien Nocera <bnocera@redhat.com> - 1.0.8-1
- Initial RPM release
